<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">


    <com.ruffian.library.widget.RLinearLayout
        android:id="@+id/mCard"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:layout_margin="14dp"
        app:corner_radius="8dp"
        app:background_normal="@color/white"
        android:orientation="horizontal">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/mImage"
            android:layout_width="44dp"
            android:layout_height="44dp"
            android:layout_gravity="center"
            android:layout_marginLeft="16dp"
            />



        <LinearLayout
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="match_parent"
            android:layout_marginLeft="10dp"
            android:gravity="center_vertical"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="我的排名"
                    android:textColor="@color/col_313"
                    android:textSize="16dp"
                    />
            <TextView
                android:id="@+id/mTvStepInfo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical|left"
                android:textColor="@color/col_C7C"
                android:layout_marginStart="4dp"
                android:textSize="14dp" />

            </LinearLayout>

            <TextView
                android:id="@+id/mTvRankInfo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:textColor="@color/col_C7C"
                android:textSize="12dp" />
        </LinearLayout>

        <TextView
            android:id="@+id/mTvRank"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginEnd="16dp"
            android:gravity="center"
            android:textColor="@color/col_02c"
            android:textSize="18dp" />
    </com.ruffian.library.widget.RLinearLayout>


    <com.ruffian.library.widget.RLinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/mCard"
        android:orientation="vertical"
        android:layout_marginHorizontal="14dp"
        android:layout_marginBottom="12dp"
        android:background="@drawable/shape_round_white"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingTop="16dp"
            android:paddingHorizontal="16dp"
            >
            <TextView
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:text="排名"
                android:textColor="@color/col_C7C"
                android:textSize="12dp"
                />

            <TextView
                android:layout_width="0dp"
                android:layout_weight="2"
                android:layout_height="wrap_content"
                android:text="姓名"
                android:gravity="center"
                android:textColor="@color/col_C7C"
                android:textSize="12dp"
                />

            <TextView
                android:layout_width="0dp"
                android:layout_weight="2"
                android:layout_height="wrap_content"
                android:text="城市"
                android:textColor="@color/col_C7C"
                android:textSize="12dp"
                />

            <TextView
                android:layout_width="0dp"
                android:layout_weight="2"
                android:layout_height="wrap_content"
                android:text="步数"
                android:gravity="right"
                android:textColor="@color/col_C7C"
                android:textSize="12dp"
                />

        </LinearLayout>
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/mRecycle"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
         />

    </com.ruffian.library.widget.RLinearLayout>
</RelativeLayout>